## d3-tip.js 0.9.1

=== Makefile ===
UGLIFYJS = node_modules/uglify-js/bin/uglifyjs
UGLIFYCSS = node_modules/uglifycss/uglifycss

all: d3-tip.min.js d3-tip.min.css

d3-tip.min.js: index.js uglifyjs
	$(UGLIFYJS) $< -c -m -o $@

d3-tip.min.css: examples/example-styles.css uglifycss
	$(UGLIFYCSS) $< > $@

clean:
	@rm -f d3-tip.min.*

uglifyjs: $(UGLIFYJS)
$(UGLIFYJS):
	npm install uglify-js

uglifycss: $(UGLIFYCSS)
$(UGLIFYCSS):
	npm install uglifycss

## d3-tip.js 0.7.1

=== debian/changelog ===
d3-tip.js (0.7.1-1) unstable; urgency=low

  * Initial release (Closes: #843964)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 08 Dec 2016 13:06:09 +0000

=== debian/control ===
Source: d3-tip.js
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Devabhaktuni Bhuvan Krishna <bhuvan@swecha.net>,
 Petter Reinholdtsen <pere@debian.org>,
 Sunil Mohan Adapa <sunil@medhas.org>,
Section: web
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-buildinfo,
 node-uglify,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/d3-tip.js.git
Vcs-Git: git://anonscm.debian.org/pkg-javascript/d3-tip.js.git
Homepage: https://github.com/Caged/d3-tip

Package: libjs-d3-tip
Architecture: all
Depends:
 ${misc:Depends},
 libjs-d3,
Description: Tooltips for d3.js visualizations
 This javascript library provides tooltips for d3.js visualizations
 such as bar charts.  The tooltips show value at the selection and
 label for the unit.  They can be styled, shown, hidden, positioned
 and updated.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	make UGLIFYJS=/usr/bin/uglifyjs UGLIFYCSS=/bin/cat
	cp index.js d3-tip.js

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/d3-tip-$1.tar.gz/ \
https://github.com/Caged/d3-tip/releases \
.*/archive/v?([\d\.]+).tar.gz

## d3-tip.js 0.9.1

=== debian/changelog ===
d3-tip.js (0.9.1-3) unstable; urgency=medium

  * Team upload
  * No more use old uglifyjs < 3
  * debian/watch version 5

 -- Yadd <yadd@debian.org>  Fri, 06 Feb 2026 16:28:21 +0100

d3-tip.js (0.9.1-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.
  * d/salsa-ci.yml: Use the simplified version.

 -- Santiago Vila <sanvila@debian.org>  Tue, 06 Jan 2026 17:30:00 +0100

d3-tip.js (0.9.1-1) unstable; urgency=medium

  * Team upload.

  [ Petter Reinholdtsen ]
  * Added pristine-tar enforsing to d/gbp.conf.
  * New upstream version 0.9.1.

  [ Julian Gilbey ]
  * Add node-d3-* build/runtime dependencies
  * Add lintian override for false positive source-is-missing

 -- Julian Gilbey <jdg@debian.org>  Wed, 28 Feb 2024 13:35:19 +0000

d3-tip.js (0.7.1-5) unstable; urgency=medium

  * Team upload
  * Fix clean (Closes: #1044820)

 -- Yadd <yadd@debian.org>  Mon, 14 Aug 2023 13:00:05 +0400

d3-tip.js (0.7.1-4) unstable; urgency=medium

  * Updated d/watch to match current github.
  * Updated Standards-Version from 4.6.1 to 4.6.2.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 14 Feb 2023 07:11:51 +0100

d3-tip.js (0.7.1-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints. + libjs-d3-tip: Add Multi-Arch: foreign.

  [ Yadd ]
  * Update standards version to 4.6.1, no changes needed.
  * Fix debian/watch

 -- Yadd <yadd@debian.org>  Mon, 31 Oct 2022 10:40:53 +0100

d3-tip.js (0.7.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update Vcs-* headers to use salsa repository.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Modernize debian/watch
  * Replace deprecated node-uglify by uglifyjs (Closes: #979909)

 -- Xavier Guimard <yadd@debian.org>  Wed, 13 Jan 2021 06:20:19 +0100

=== debian/control ===
Source: d3-tip.js
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Devabhaktuni Bhuvan Krishna <bhuvan@swecha.net>,
 Petter Reinholdtsen <pere@debian.org>,
 Sunil Mohan Adapa <sunil@medhas.org>,
Section: javascript
Build-Depends:
 debhelper-compat (= 13),
 node-d3-collection,
 node-d3-selection,
 rollup,
 uglifyjs (>= 3),
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/js-team/d3-tip.js
Vcs-Git: https://salsa.debian.org/js-team/d3-tip.js.git
Homepage: https://github.com/Caged/d3-tip

Package: libjs-d3-tip
Architecture: all
Depends:
 ${misc:Depends},
 libjs-d3,
 node-d3-collection,
 node-d3-selection,
Multi-Arch: foreign
Description: Tooltips for d3.js visualizations
 This javascript library provides tooltips for d3.js visualizations
 such as bar charts.  The tooltips show value at the selection and
 label for the unit.  They can be styled, shown, hidden, positioned
 and updated.

=== debian/watch ===
Version: 5

Template: Github
Owner: Caged
Project: d3-tip
Uversionmangle: auto
